<?php

namespace IQBall\Core\Data;

class TacticInfo {
    private int $id;
    private string $name;
    private int $creationDate;
    private int $ownerId;

    /**
     * @param int $id
     * @param string $name
     * @param int $creationDate
     * @param int $ownerId
     */
    public function __construct(int $id, string $name, int $creationDate, int $ownerId) {
        $this->id = $id;
        $this->name = $name;
        $this->ownerId = $ownerId;
        $this->creationDate = $creationDate;
    }

    public function getId(): int {
        return $this->id;
    }

    public function getName(): string {
        return $this->name;
    }

    /**
     * @return int
     */
    public function getOwnerId(): int {
        return $this->ownerId;
    }

    public function getCreationTimestamp(): int {
        return $this->creationDate;
    }

}
